package com.llisoft.pay.dao;

import org.apache.ibatis.annotations.Insert;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;
import org.apache.ibatis.annotations.SelectKey;
import org.apache.ibatis.annotations.Update;

import com.llisoft.pay.entity.Item;

@Mapper
@Deprecated
public interface ItemDao {

	@Select("select * from mta_pay_item where pay_id=#{payId}")
	Item select(int payId);
	
	@Select("select * from mta_pay_item where pay_num=#{payNum}")
	Item selectByPayNum(String payNum);
	
	@Select("select * from mta_pay_item where order_id=#{orderId} order by pay_id desc limit 1")
	Item selectByOrderIdLast(int orderId);
	
    @Insert("insert into mta_pay_item (pay_id,pay_num,pay_status,pay_money,pay_type,order_id,create_time) "
    		+ "values (#{payId},#{payNum},#{payStatus},#{payMoney},#{payType},#{orderId},now())")
    @SelectKey(statement="SELECT LAST_INSERT_ID()", keyProperty="orderId", before=false, resultType=Integer.class)
    boolean insert(Item item);

    @Update("update mta_pay_item set pay_status=#{payStatus},pay_flag=#{payFlag},trade_num=#{tradeNum},pay_time=now() where pay_id=#{payId}")
	boolean updatePay(@Param("payId")int payId, @Param("tradeNum")String tradeNum, @Param("payStatus")byte payStatus, @Param("payFlag")byte payFlag);
	
}