package com.llisoft.pay.vo;

import javax.validation.constraints.NotBlank;

import org.hibernate.validator.constraints.Range;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@ApiModel("订单支付请求实体")
@Deprecated
public class OrderPayRequestVo {

	@ApiModelProperty("订单号")
	@NotBlank(message="订单号不能为空")
    private String orderNum;
	
	@ApiModelProperty("支付方式 (1支付宝/2微信) 默认支付宝")
	@Range(min=1, message="支付方式非法")
    private byte payType = 1;
	
	@ApiModelProperty("是否移动端")
	private boolean mobile;

	
	public String getOrderNum() {
		return orderNum;
	}

	public void setOrderNum(String orderNum) {
		this.orderNum = orderNum;
	}

	public byte getPayType() {
		return payType;
	}

	public void setPayType(byte payType) {
		this.payType = payType;
	}

	public boolean isMobile() {
		return mobile;
	}

	public void setMobile(boolean mobile) {
		this.mobile = mobile;
	}

}